/* 修改默认样式 开始 */
:root {
    --primary-color: #00B486;
    --font-family-fallback: "PingFang SC", "Microsoft YaHei", "微软雅黑";
}

* {
    margin: 0;
    padding: 0;
    text-decoration: none;
}

body {
    cursor: url('./images/cursor-scale.png'), auto;
    user-select: none;
    background-color: #F9FAFC;
}

img {
    width: 100%;
    vertical-align: middle;
    /* 限制图片只在给定宽度内居中显示 */
    height: auto;
    object-fit: cover;
    object-position: center;
    user-select: none;
    -webkit-user-drag: none;
}

img.img-error {
    position: relative;
}

img.img-error::after {
    content: "图片加载失败";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: #f5f5f5;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #999;
    font-size: 12px;
}

button {
    cursor: pointer;
    border: unset;
}

/* 修改滚动条 */
body.pc ::-webkit-scrollbar {
    width: 5px;
    height: 5px;
    /* 修改宽度 */
}

/* 修改滚动条轨道背景色 */
::-webkit-scrollbar-track {
    background-color: transparent;
}

/* 修改滚动条滑块颜色 */
::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.15);
    border-radius: 5px;
}

/* 修改默认样式 结束 */

/* 修改element-ui样式 开始 */
.el-tabs__item {
    color: #868691;
}

.el-tabs__item.is-active {
    color: #062149;
}

.el-tabs__active-bar {
    height: 4px;
    background-color: var(--primary-color);
}

.todo-list .el-tabs__header {
    background-color: #FFFFFF;
    margin-bottom: 18px;
}

.todo-list .el-tabs__nav.is-top {
    margin-top: 8px;
    transform: translateX(calc(25vw + 30%)) !important;
    -webkit-transform: translateX(calc(25vw + 30%)) !important;
    -moz-transform: translateX(calc(25vw + 30%)) !important;
    -ms-transform: translateX(calc(25vw + 30%)) !important;
    -o-transform: translateX(calc(25vw + 30%)) !important;
}

.todo-list .el-tabs__item:hover {
    color: var(--primary-color);
}

.todo-list .list-tab .number {
    color: #FFFFFF;
    font-size: 12px;
    padding: 3px 8px 4px;
    border-radius: 12px;
    -webkit-border-radius: 12px;
    -moz-border-radius: 12px;
    -ms-border-radius: 12px;
    -o-border-radius: 12px;
    background-color: #FC5A5A;
}

.todo-list .el-tabs__content {
    display: none;
}

.todo-list .todo-list-contain {
    width: 93%;
    margin: auto;
    border-radius: 13px;
    background-color: #FFFFFF;
    padding: 24px 21px 34px;
    border: 1px solid #DEE3EB;
    box-shadow: 0px 0px 13px #DEE3EB;
}

.todo-list .el-form-item__label {
    color: #282D30;
    font-size: 12px;
    font-family: PingFangSC-Regular;
}

.el-table {
    border: 1px #F7F7F8 solid;
}

.el-table .el-table__cell {
    padding: 10px 0;
}

.el-table th.el-table__cell {
    background-color: #F3F3F3;
    font-weight: normal;
}

.el-table tbody {
    font-size: 12px;
    color: #333333;
}

.el-table th.el-table__cell>.cell,
.el-table .cell {
    padding-left: 10px;
    padding-right: 10px;
    white-space: nowrap;
}

/* .el-table--enable-row-hover .el-table__body tr:hover { */
.el-table__row:hover {
    background: linear-gradient(to right, #DDFDF1, transparent);
    cursor: pointer;
}

.el-table--enable-row-hover .el-table__body tr:hover>td.el-table__cell {
    background-color: transparent;
}

.el-table_1_column_2.el-table__cell {
    overflow: hidden;
}

.el-table .cell.el-tooltip {
    width: 100% !important;
    min-width: 110px;
}

.el-button:focus,
.el-button:hover {
    border-color: #00B384;
    color: #00B384;
    background-color: #e5f9f4;

}

.el-button--primary {
    background-color: #00B384;
    border-color: #00B384;
}

.el-button--primary.is-active,
.el-button--primary:active {
    background: #00B384;
    border-color: #00B384;
}

.el-button--primary:focus,
.el-button--primary:hover {
    background-color: #00B384;
    border-color: #00B384;
    opacity: 0.8;
    color: #FFFFFF;
}

.el-tooltip__popper {
    max-width: 200px;
}

.el-input.is-active .el-input__inner, .el-input__inner:focus {
    border-color: var(--primary-color);
}

.el-range-editor.is-active, .el-range-editor.is-active:hover, .el-select .el-input.is-focus .el-input__inner,
.el-pagination__sizes .el-input .el-input__inner:hover {
    border-color: var(--primary-color);
}

.el-select-dropdown__item.selected {
    color: var(--primary-color);
}

.el-pagination button, .el-pagination span:not([class*=suffix]) {
    transform: translateX(-85px);
    -webkit-transform: translateX(-85px);
    -moz-transform: translateX(-85px);
    -ms-transform: translateX(-85px);
    -o-transform: translateX(-85px);
}

.el-pagination.is-background .btn-next, .el-pagination.is-background .btn-prev, .el-pagination.is-background .el-pager li {
    margin: 0 3px;
    color: #333333;
}

.el-pagination .el-select .el-input .el-input__inner {
    height: 30px;
    line-height: 30px;
    font-family: 'OPPOSans-B', var(--font-family-fallback);
    font-size: 13px;
    border-color: #000000;
}

.el-select-dropdown__item {
    font-family: 'OPPOSans-B', var(--font-family-fallback);
    font-size: 13px;
}

.el-dialog {
    border-radius: 6px;
    background: #EAEDF1;
}

.el-dialog__header {
    padding: 30px 48px 0;
}


.el-dialog__body {
    padding: 30px 1px;
}

.first .el-dialog {
    background: url('./images/first-create-bg.png') no-repeat right center/cover;
    min-width: 350px;
}

.first .el-dialog__header {
    padding: 36px 27px 0px;
}

.first .el-dialog__body {
    padding: 37px 34px;
}

/* 修改element-ui样式 结束 */

/* 全局样式 开始 */
.isIE {
    display: none;
}

.product-index {
    background-color: #F9FAFC;
    display: flex;
    font-size: 14px;
    font-family: 'OPPOSans-M', var(--font-family-fallback);
}

.product-index.product-index-display-none {
    display: none;
}

@font-face {
    font-family: OPPOSans-M;
    src: url('./fonts/OPPOSans-M.woff2') format('woff2'),
        url('./fonts/OPPOSans-M.woff') format('woff'),
        url('./fonts/OPPOSans-M.eot') format('embedded-opentype'),
        url('./fonts/OPPOSans-M.ttf') format('truetype');
    font-display: swap;
}

@font-face {
    font-family: OPPOSans-B;
    src: url('./fonts/OPPOSans-B.woff2') format('woff2'),
        url('./fonts/OPPOSans-B.woff') format('woff'),
        url('./fonts/OPPOSans-B.eot') format('embedded-opentype'),
        url('./fonts/OPPOSans-B.ttf') format('truetype');
    font-display: swap;
}

@font-face {
    font-family: OPPOSans-R;
    src: url('./fonts/OPPOSans-R.woff2') format('woff2'),
        url('./fonts/OPPOSans-R.woff') format('woff'),
        url('./fonts/OPPOSans-R.eot') format('embedded-opentype'),
        url('./fonts/OPPOSans-R.ttf') format('truetype');
    font-display: swap;
}

.main .main-index,
.main .last-use-app,
.main .todo-list {
    position: absolute;
    padding-top: 29px;
    top: 0;
    left: 0;
    bottom: 0;
    right: 0;
    background-color: #F9FAFC;
    z-index: 1;
}

.main .todo-list {
    padding-top: 0;
}

/* 全局样式 结束 */

/* 侧边栏 开始 */
.aside {
    width: 160px;
    background-color: #030021;
    padding-top: 41px;
    position: relative;
    position: relative;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    transition: all 0.1s linear;
    -webkit-transition: all 0.1s linear;
    -moz-transition: all 0.1s linear;
    -ms-transition: all 0.1s linear;
    -o-transition: all 0.1s linear;
}

.aside .aside-btn {
    color: #FFFFFF;
    height: 34px;
    width: 130px;
    margin: 24px auto 25px;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: 10px;
    cursor: pointer;
    position: relative;
}

.aside .aside-btn:hover {
    background-color: rgba(255, 255, 255, 0.15);
}

.aside .aside-btn:hover::after {
    content: '';
    display: block;
    width: 4px;
    height: 17px;
    background-color: #00C478;
    margin-right: 7px;
    position: absolute;
    left: -15px;
}


.aside .aside-btn::before {
    content: '';
    display: block;
    position: absolute;
    top: -24px;
    left: 0;
    right: 0;
    border-top: 1px solid rgba(255, 255, 255, 0.15);
    pointer-events: none;
}

.aside .aside-btn div {
    margin-right: 15px;
}

.aside .aside-btn img {
    width: 18px;
}

.aside .tag span {
    margin-left: 8px;
}

.aside.collapsed {
    width: 56px;
}

.aside.collapsed .tag span {
    display: none;
}

.aside.collapsed .user-name {
    opacity: 0;
}

.aside.collapsed .tag {
    justify-content: center;
}

.aside.collapsed .aside-user .user-img {
    width: 46px;
    height: 46px;
}

.aside.collapsed .aside-user .user-img .user {
    width: 42px;
    height: 42px;
}

.aside .aside-user {
    text-align: center;
    color: #FFFFFF;
    height: 184px;
}

.aside .aside-user .user-img {
    width: 68px;
    height: 68px;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #FFFFFF;
    margin: 0 auto 16px;
    background: linear-gradient(to top, #00a350, #b8dfc9);
    border-radius: 50%;
    overflow: hidden;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    transition: all .1s linear;
    -webkit-transition: all .1s linear;
    -moz-transition: all .1s linear;
    -ms-transition: all .1s linear;
    -o-transition: all .1s linear;
    cursor: pointer;
}

.aside .aside-user .user-img .user {
    width: 64px;
    height: 64px;
    border-radius: 50%;
    -webkit-border-radius: 50%;
    -moz-border-radius: 50%;
    -ms-border-radius: 50%;
    -o-border-radius: 50%;
    transition: all .1s linear;
    -webkit-transition: all .1s linear;
    -moz-transition: all .1s linear;
    -ms-transition: all .1s linear;
    -o-transition: all .1s linear;
}

.aside .aside-user .user-name {
    max-width: 100px;
    word-wrap: break-word;
    text-align: center;
    margin: auto;
}

.aside .aside-tag {
    margin-bottom: auto;
}

.aside .aside-fun {
    margin-bottom: 53px;
}

.aside .aside-tag .tag,
.aside .aside-fun .tag {
    /* color: #C9C9C9; */
    color: #FFFFFF;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    line-height: 1.1;
    cursor: pointer;
    padding: 9px 18px 8px 20px;
    transition: opacity .5s ease-in-out;
    -webkit-transition: opacity .5s ease-in-out;
    -moz-transition: opacity .5s ease-in-out;
    -ms-transition: opacity .5s ease-in-out;
    -o-transition: opacity .5s ease-in-out;
    white-space: nowrap;
}

.aside .aside-tag .tag+.tag,
.aside .aside-fun .tag+.tag {
    margin-top: 21px;
}

.aside .aside-tag .tag-active,
.aside .aside-fun .tag-active {
    /* background-color: #00B384; */
    color: #FFFFFF;
    position: relative;
}

.aside .aside-tag .tag-active::before,
.aside .aside-fun .tag-active::before {
    content: '';
    display: block;
    width: 4px;
    height: 17px;
    background-color: #00C478;
    margin-right: 7px;
    position: absolute;
    left: 0;
}

.aside.collapsed .aside-tag .tag-active::before,
.aside.collapsed .aside-fun .tag-active::before {
    background-color: transparent;
}

.aside .aside-tag .tag-active::after,
.aside .aside-fun .tag-active::after {
    content: '';
    display: block;
    position: absolute;
    top: 0;
    bottom: 0;
    left: 11px;
    width: 130px;
    border-radius: 10px;
    -webkit-border-radius: 10px;
    -moz-border-radius: 10px;
    -ms-border-radius: 10px;
    -o-border-radius: 10px;
    background-color: rgba(255, 255, 255, 0.15);
    pointer-events: none;
}

.aside.collapsed .aside-tag .tag-active::after,
.aside.collapsed .aside-fun .tag-active::after,
.aside.collapsed .aside-btn {
    width: 34px;
}

.aside .tag .tag-icon {
    height: 17px;
    width: 17px;
    transform: translateY(-1px) scale(120%);
    /* margin-right: 10px; */
}

.aside .aside-fun .number {
    font-size: 14px;
    background-color: #FB9337;
    border-radius: 11px;
    -webkit-border-radius: 11px;
    -moz-border-radius: 11px;
    -ms-border-radius: 11px;
    -o-border-radius: 11px;
    padding: 4px 10px;
    margin-left: 16px;
    position: absolute;
    right: 42px;
}

/* 侧边栏 结束 */

/* 主内容区 开始 */
.main {
    flex: 1;
    height: 100vh;
    box-sizing: border-box;
    overflow: auto;
    position: relative;
}

.common-title {
    color: var(--primary-color);
    display: flex;
    align-items: flex-start;
    font-family: 'OPPOSans-B', var(--font-family-fallback);
    font-size: 16px;
    user-select: none;
}

.common-title::before {
    content: '';
    display: block;
    width: 2.6px;
    height: 17px;
    background-color: var(--primary-color);
    margin-right: 11px;
    margin-top: 2px;
}

.dialog-title {
    color: #1C1B1B;
    font-size: 24px;
    font-family: 'OPPOSans-M';
    line-height: 1.1;
    display: flex;
    align-items: center;
}

.dialog-title::before {
    width: 6px;
    height: 23px;
    border-radius: 6px;
    background: linear-gradient(to top, #FDC257 0%, #FFAC38 100%);
}

.first .dialog-title::before {
    background: linear-gradient(to top, #7AB9F6 0%, #1E59EC 100%);
}

/* 表格 开始 */
.table-container {
    height: 266px;
    margin-top: 22px;
}

.table-container::-webkit-scrollbar {
    display: none;
}

.my-todo-table {
    font-family: 'OPPOSans-R', var(--font-family-fallback);
    border-collapse: collapse;
    /* 减去边框 */
    width: calc(100% - 2px);
}

.my-todo-table>thead {
    text-align: left;
    color: #999999;
    font-size: 14px;
    height: 44px;
}

.my-todo-table>thead>tr>th {
    position: sticky;
    top: 0;
    background-color: #F3F3F3;
}

.my-todo-table>thead>tr {
    border-bottom: 1px solid #F3F3F3;
}

.my-todo-table>tbody>tr {
    font-size: 12px;
    border-bottom: 1px solid #F3F3F3;
    height: 44px;
}

.my-todo-table>tbody>tr:hover {
    background: linear-gradient(to right, #DDFDF1, transparent);
    cursor: pointer;
}

/* 表格 结束 */
.main-index {
    display: flex;
    align-items: flex-start;
    justify-content: center;
}

.main-index .left {
    width: calc(100% - 446px);
    margin-right: 17px;
    min-width: 400px;
}

.main-index .left .my-todo,
.main-index .left .fun-list,
.main-index .right .state-list,
.main-index .right .ad {
    background-color: #FFFFFF;
    border-radius: 13px;
    -webkit-border-radius: 13px;
    -moz-border-radius: 13px;
    -ms-border-radius: 13px;
    -o-border-radius: 13px;
}

.main-index .left .my-todo,
.main-index .left .fun-list {
    padding: 26px 21px 34px;
    border: 1px solid #DEE3EB;
    box-shadow: 0px 0px 13px #DEE3EB;
}

.main-index .left .my-todo {
    margin-bottom: 16px;
    height: 365px;
    box-sizing: border-box;
}

.main-index .left .my-todo .my-todo-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: var(--primary-color);
    font-size: 14px;
    margin-left: 11px;
}

.main-index .left .fun-list .fun-list-head {
    display: flex;
    align-items: center;
    justify-content: space-between;
    margin-left: 11px;
}

.fun-list-head .filter-input {
    width: 225px;
    margin-right: 31px;
    font-size: 12px;
}

.filter-input .filter-btn {
    height: 34px;
    width: 34px;
    cursor: pointer;
    background-color: #00C478;
    border-radius: 6px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.filter-input .el-input__suffix {
    display: flex;
    align-items: center;
}

.filter-input .el-input__inner {
    border-color: transparent;
    background-color: #F3F4F3;
    height: 44px;
    line-height: 44px;
}

.filter-btn img {
    width: 18px;
}


.main-index .left .my-todo .my-todo-head .my-todo-showAll {
    cursor: pointer;
    margin-right: 19px;
    user-select: none;
}

.main-index .left .fun-list .fun-list-box {
    display: flex;
    flex-wrap: wrap;
    height: 401px;
    overflow: auto;
}

.main-index .left .fun-list .fun-list-box.no-todo {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: auto;
}

body.pc .main-index .left .fun-list .fun-list-box.no-todo::-webkit-scrollbar {
    width: 0 !important;
}

body.pc .fun-list-box::-webkit-scrollbar {
    height: 0 !important;
}

.main-index .left .fun-list .fun-list-box .fun-list-tag {
    font-size: 12px;
    color: #606266;
    height: 102px;
    width: 169px;
    margin-bottom: 31px;
    font-family: OPPOSans-R, var(--font-family-fallback);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: all 0.1s linear;
    -webkit-transition: all 0.1s linear;
    -moz-transition: all 0.1s linear;
    -ms-transition: all 0.1s linear;
    -o-transition: all 0.1s linear;
}

.main-index .left .fun-list .fun-list-box .fun-list-tag:hover {
    transform: translateY(-2px);
}

.main-index .left .fun-list .fun-list-box .fun-list-tag img {
    width: 52px;
    height: 52px;
    border-radius: 12px;
}

.main-index .left .fun-list .fun-list-box .fun-list-tag .add {
    height: 47px;
    width: 47px;
}

.main-index .left .fun-list .fun-list-box .fun-list-tag>div {
    position: absolute;
    /* white-space: nowrap; */
    top: 85px;
    width: 102px;
    text-align: center;
}

.main-index .left .fun-list .fun-list-box .fun-list-tag .new-app {
    position: absolute;
    top: 17px;
    right: 43px;
    width: 52px;
    height: auto;
    border-radius: unset;
}

/* 无数据状态 开始 */
.table-container .no-todo,
.fun-list-box.no-todo {
    height: 100%;
    color: #9EB5CD;
    font-family: OPPOSans-R, var(--font-family-fallback);
    font-size: 18px;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 34px;
}

.table-container .no-todo {
    margin-top: -13px;
}

.table-container .no-todo>img,
.fun-list-box.no-todo>img {
    width: 267px;
    margin-bottom: 15px;
}

.fun-list-box.no-todo {
    margin-top: -15px;
}

.fun-list-box.no-todo>div:nth-child(2) {
    margin-top: -46px;
}

.fun-list-box.no-todo .create-app,
.my-todo .no-todo .goLogin {
    color: #FFFFFF;
    background-color: #00B384;
    border-radius: 25px;
    -webkit-border-radius: 25px;
    -moz-border-radius: 25px;
    -ms-border-radius: 25px;
    -o-border-radius: 25px;
    padding: 13px 24px;
    margin-bottom: 79px;
    font-size: 14px;
    cursor: pointer;
}

.fun-list-box.no-todo .create-app {
    margin-bottom: 0;
    margin-top: 22px;
}

.my-todo .no-todo .goLogin {
    padding: 9px 24px;
    margin-top: 18px;
}

/* 无数据状态 结束 */


.main-index .right {
    width: 272px;
}

.main-index .right .state-list {
    padding: 17px 0 14px;
    margin-bottom: 13px;
    font-family: OPPOSans-R, var(--font-family-fallback);
    font-size: 14px;
    color: #062149;
    border: 1px solid #DEE3EB;
    box-shadow: 0px 0px 13px #DEE3EB;
}

.main-index .right .state-list .state-list-item {
    height: 39px;
    display: flex;
    align-items: center;
    padding: 0 35px 0 26px;
    cursor: pointer;
}

.main-index .right .state-list .state-list-item:hover,
.main-index .right .state-list .state-list-item-active {
    background-color: #DBF3E7;
}

.main-index .right .state-list .state-list-item .item-icon {
    width: 16px;
    height: 16px;
    margin-right: 22px;
}

.main-index .right .state-list .state-list-item .number {
    margin-left: auto;
}

.main-index .right .ad {
    /* padding: 24px 0 24px 18px; */
    padding-bottom: 22px;
    min-height: 631px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    position: relative;
    z-index: 1;
    border: 1px solid #DEE3EB;
    box-shadow: 0px 0px 13px #DEE3EB;
}

.main-index .right .ad .ad-type {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
    /* min-height: 52px; */
    /* height: 100px; */
    margin: 0 20px;
    border-radius: 12px;
    cursor: pointer;
    -webkit-border-radius: 12px;
    -moz-border-radius: 12px;
    -ms-border-radius: 12px;
    -o-border-radius: 12px;
}

@keyframes delayedAppear {
    0% {
        opacity: 0;
        transform: translateY(10px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}

.delay {
    animation: delayedAppear 0.5s ease-in-out forwards;
    animation-delay: 1s;
    opacity: 0;
    position: absolute;
}

.message-point {
    position: absolute;
    top: 30px;
    left: 6px;
    width: 10px;
    height: 10px;
    background-color: #F9B226;
    border-radius: 50%;
}

.message-point::after {
    content: '';
    width: 10px;
    height: 10px;
    background-color: #F9B226;
    border-radius: 50%;
    position: absolute;
    animation: breath-point 1s linear infinite normal;
    transform-origin: center center;
}

@keyframes breath-point {
    from {
        transform: scale(1);
        opacity: 1;
    }

    to {
        transform: scale(1.6);
        opacity: 0;
    }
}

/* 新增呼吸动画关键帧 */
@keyframes breath {
    0% {
        transform: scale(0.95);
        opacity: 0.5;
    }

    50% {
        transform: scale(1);
        opacity: 1;
    }

    100% {
        transform: scale(0.95);
        opacity: 0.5;
    }
}

.message-box {
    position: absolute;
    bottom: 5px;
    width: 221px;
    height: 188px;
    right: 5px;
    animation: breath 2s ease-in-out infinite;
    transform-origin: bottom right;
}

.message-box>div:nth-child(2) {
    margin-top: 9px;
    font-family: SourceHanSansCN-Medium;
    font-size: 15px;
    opacity: 0.8;
}

.message-top {
    width: 95px;
    position: absolute;
    top: -66px;
    right: 2px;
}

.star-left {
    left: 6px;
}

.star-right {
    right: 17px;
}

.star-left, .star-right {
    width: 21px;
    height: 19px;
    position: absolute;
    top: 40px;
}

.main-index .right .ad .ad-type:last-child {
    display: block;
    background-color: #FBEDD3;
    color: #F9B226;
    cursor: inherit;
}

.main-index .right .ad .ad-type:last-child>div:first-child {
    display: flex;
    align-items: flex-start;
    justify-content: space-between;
}

.main-index .right .ad .ad-type .type-info {
    margin-top: -11px;
    margin-left: 12px;
}

.main-index .right .ad .ad-title {
    background: url('./images/ad-title-bg.png') no-repeat center/100%;
    height: 102px;
    padding-top: 22px;
    padding-left: 18px;
    border-radius: 12px;
}

.main-index .right .ad .ad-title::before {
    margin-top: 3px;
}

.main-index .right .ad .ad-type+.ad-type {
    margin-top: 27px;
}

.main-index .right .ad .ad-type .type-info-content {
    font-size: 12px;
    color: #313232;
    margin: 9px 0 14px;
    line-height: 19px;
    font-family: OPPOSans-R, var(--font-family-fallback);
}

.main-index .right .ad .ad-type .icon {
    width: 82px;
    height: 82px;
    margin-top: -20px;
}

.main-index .right .ad .ad-type .type-info .type-ask {
    color: #FFFFFF;
    background-color: #F9B226;
    height: 31px;
    width: 91px;
    text-align: center;
    line-height: 31px;
    border-radius: 5px;
    font-size: 14px;
    margin-top: 10px;
    cursor: pointer;
}

.main-index .right .ad .ad-type-content {
    color: #313232;
    background-color: #FDF6E9;
    font-size: 12px;
    font-family: OPPOSans-R, var(--font-family-fallback);
    padding: 20px 26px 17px 13px;
    border-radius: 0 0 12px 12px;
    -webkit-border-radius: 0 0 12px 12px;
    -moz-border-radius: 0 0 12px 12px;
    -ms-border-radius: 0 0 12px 12px;
    -o-border-radius: 0 0 12px 12px;
    cursor: pointer;
    height: 96px;
    box-sizing: border-box;
    overflow-y: scroll;
}

.main-index .right .ad .ad-type-content>div {
    white-space: nowrap;
    width: 100%;
    overflow: hidden;
    text-overflow: ellipsis;
    transition: all 0.1s linear;
    -webkit-transition: all 0.1s linear;
    -moz-transition: all 0.1s linear;
    -ms-transition: all 0.1s linear;
    -o-transition: all 0.1s linear;
}

.main-index .right .ad .ad-type-content>div:hover {
    transform: translateY(-2px);
    -webkit-transform: translateY(-2px);
    -moz-transform: translateY(-2px);
    -ms-transform: translateY(-2px);
    -o-transform: translateY(-2px);
}


.main-index .right .ad .ad-type-content>div:nth-child(n+2) {
    margin-top: 8px;
}

/* 主内容区 结束 */

/* 待办列表页 */
.todo-list {
    font-family: OPPOSans-R, var(--font-family-fallback);
}


/* 待办列表 开始 */
.todo-list .list-tab {
    width: 100%;
    border-radius: 13px;
}

.todo-list .search-form {
    text-align: center;
}

.todo-list .list-tab .table-header {
    text-align: left;
    color: #999999;
    font-size: 14px;
    height: 44px;
}

.todo-list .el-pagination {
    text-align: center;
    padding: 0 3px;
}

.todo-list .pagination {
    display: flex;
    align-items: center;
    justify-content: center;
    margin-top: 31px;
    font-family: 'OPPOSans-R', var(--font-family-fallback);
}

.pagination-next,
.pagination-prev {
    cursor: pointer;
    border: 1px solid #222222;
    border-radius: 4px;
    width: 62px;
    height: 30px;
    display: flex;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
}

.pagination-prev {
    transform: translateX(119px);
}

.pagination-next:hover,
.pagination-prev:hover {
    color: #00B384;
    border-color: #00B384;
}

.pagination-next.btn-disabled,
.pagination-prev.btn-disabled {
    cursor: not-allowed;
    border: 1px solid #999999;
}

.todo-list .pagination .number {
    padding: 6px 6px;
}

.todo-list .pagination .el-pager li {
    height: auto;
    line-height: unset;
}

.pagination-prev img,
.pagination-next img {
    width: 19px !important;
}

.todo-list .el-pagination.is-background .el-pager li {
    background-color: #FFFFFF;
    height: 30px;
    width: fit-content;
    min-width: 30px;
    text-align: center;
    border: 1px solid #000000;
    border-radius: 4px;
}

.todo-list .el-pagination.is-background .el-pager li:not(.disabled).active {
    background-color: #00B384;
    border-color: #00B384;
    color: #FFFFFF;
}

.el-pagination.is-background .el-pager li:not(.disabled):hover {
    color: #00B384;
    border-color: #00B384;
}

.my-todo-table.no-todo {
    color: #9EB5CD;
    font-size: 18px;
}

/* 待办列表 结束 */

/* 未登录 开始 */
.aside .to-login {
    color: #FFFFFF;
    background-color: #2DB561;
    font-size: 14px;
    padding: 7px 11px;
    border-radius: 8px;
    -webkit-border-radius: 8px;
    -moz-border-radius: 8px;
    -ms-border-radius: 8px;
    -o-border-radius: 8px;
}

.no-login-mask {
    position: absolute;
    top: 0;
    width: calc(100vw - 160px);
    right: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(4px);
    z-index: 100;
}

.no-login {
    text-align: center;
    background-color: #FFFFFF;
    padding: 38px 22px;
    border-radius: 18px;
    -webkit-border-radius: 18px;
    -moz-border-radius: 18px;
    -ms-border-radius: 18px;
    -o-border-radius: 18px;
    font-size: 22px;
    color: #363737;
}

.no-login>img {
    width: 326px;
    object-fit: contain;
    margin-bottom: 33px;
}

.no-login .to-login {
    color: #FFFFFF;
    font-size: 20px;
    padding: 13px 41px 14px;
    border-radius: 23px;
    -webkit-border-radius: 23px;
    -moz-border-radius: 23px;
    -ms-border-radius: 23px;
    -o-border-radius: 23px;
    background-color: #00B384;
    margin-top: 29px;
}

/* 未登录 结束 */

/* 创建应用弹窗 开始 */
.create-dialog .el-dialog {
    min-width: 350px;
}

.first {
    font-family: 'OPPOSans-M', var(--font-family-fallback);
    font-size: 14px;
    min-width: 350px;
}

.first .config-header {
    font-size: 19px;
    color: #302E2E;
    margin-bottom: 22px;
    margin-left: 6px;
}

.first .config-box {
    background-color: rgba(255, 255, 255, 0.6);
    border: 1px solid rgba(1, 138, 255, 0.19);
    border-radius: 8px;
    padding: 32px 26px 35px;
    max-width: 417px;
    box-sizing: border-box;
}

.config-item {
    color: #1E1D1D;
    font-family: 'OPPOSans-R', var(--font-family-fallback);
    display: flex;
    align-items: flex-start;
}

.config-item+.config-item {
    margin-top: 24px;
}

.config-item .tip-img {
    width: 17px;
    height: 17px;
    margin-right: 7px;
    margin-left: 17px;
}

.config-item .tip-text {
    color: #F6870F;
    font-family: 'OPPOSans-M', var(--font-family-fallback);
}

.config-item .config-label {
    min-width: 70px;
}

.config-item .config-value {
    min-width: 40px;
    text-align: right;
    display: flex;
    justify-content: space-between;
}

.qrcode-image {
    width: 91px;
    height: 91px;
    border: 2px solid rgba(1, 138, 255, 0.45);
}

.free-open-btn {
    background: linear-gradient(to right, #14B4FF, #0089FF);
    padding: 14px 79px;
    width: fit-content;
    border-radius: 24px;
    margin: auto;
    color: #FFFFFF;
    margin-top: 30px;
    display: flex;
    align-items: center;
    line-height: 1;
    cursor: pointer;
    font-family: 'OPPOSans-R', var(--font-family-fallback);
    width: 241px;
    box-sizing: border-box;
}

.free-open-btn .el-loading-mask {
    transform: scale(1.004);
    border-radius: 24px;
}

.free-open-btn:hover {
    opacity: 0.9;
}

.free-open-btn .arrow-icon {
    width: 14px;
    height: 11px;
    margin-left: 13px;
}

/* 体验版弹窗 结束 */

/* 用户协议弹窗  开始 */
/* @font-face {
    font-family: 'Helvetica-regular';
    src: url('./fonts/helvetica-regular.woff') format('woff')，
        url('./fonts/helvetica-regular.ttf') format('truetype');
    font-display: swap;
} */

#app .user-agreement-update-notification-dialog-mask {
    position: fixed;font-family: Arial, sans-serif;
    background-color: rgba(0, 0, 0, 0.4);
    display: flex;
    justify-content: center;
    align-items: center;
    width: 100vw;
    height: 100vh;
    margin: 0;
    top: 0;
    left: 0;
    z-index: 999;
}

#app .user-agreement-update-notification-dialog-mask .user-agreement-update-notification-dialog-content {
    background-color: white;
    padding: 47px 45px 36px 36px;
    border-radius: 15px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    font-size: 15px;
    width: 382px;
    margin: 0;
    height: auto;
    /* border: 1px solid #0078D7; */
    box-sizing: border-box;
    background-image: url('./images/update-agreement-bg.png');
    background-repeat: no-repeat;
    background-position: center top;
    background-size: auto;
}

#app .user-agreement-update-notification-dialog-mask .user-agreement-update-notification-dialog-content h1 {
    margin-bottom: 94px;
    font-weight: normal;
    font-size: 24px;
}

#app .user-agreement-update-notification-dialog-mask .user-agreement-update-notification-dialog-content h1>span{
    font-family: OPPOSans-M;
}

#app .user-agreement-update-notification-dialog-mask .user-agreement-update-notification-dialog-content h1>span:nth-of-type(1){
    font-family: OPPOSans-B;
}

#app .user-agreement-update-notification-dialog-mask .user-agreement-update-notification-dialog-content .user-agreement-update-notification-dialog-msg p {
    margin: 0;
    line-height: 26px;
    font-size: 13px;
    color: #323B49;
}

#app .user-agreement-update-notification-dialog-content p a{
    color: #3F8CFF;
    text-decoration: underline;
}

#app .user-agreement-update-notification-dialog-body {
    margin-top: 0;
}

#app .user-agreement-update-notification-dialog-mask .user-agreement-update-notification-dialog-content .button {
    display: inline-block;
    width: 100%;
    padding: 17px 0;
    background-color: #3F8CFF;
    color: #fff;
    border-radius: 8px;
    cursor: pointer;
    text-decoration: none;
    text-align: center;
    /* margin-top: 20px; */
    margin: 20px auto 0;
    box-shadow: 12px 12px 24px rgba(63, 140, 255, 0.26);
}

#app .user-agreement-update-notification-dialog-content .button:hover {
    background-color: #3F8CFF;
}

#app .user-agreement-update-notification-dialog-content .divider {
    width: 282px;
    margin: 0 auto 11px;
    border-bottom: 1px solid #BBBBBB;
}

#app .agree-user-agreement-content {
    height: 26px;
    margin-top: 15px;
    margin-bottom: 6px;
    display: flex;
    align-items: center;
    font-size: 13px;
    line-height: 26px;
    color: #323B49;
}

#app .agree-user-agreement-content input {
    margin-right: 10px;
}

#app .agree-user-agreement-button-area {
    display: flex;
    align-items: center;
}
#app .custom-checkbox .checkbox-custom-icon {
    background-image: url('./images/update-agreement-uncheck.png');
}

#app .custom-checkbox input[type="checkbox"]:checked + .checkbox-custom-icon {
    background-image: url('./images/update-agreement-check.png');
}

/* #app .user-agreement-update-notification-dialog-mask *{
    font-family: 'OPPOSans-R';
} */
/* 用户协议弹窗  结束 */

.tabbar {
    display: none;
}
.develop-help{
    padding: 10px;
}